<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Impression Liste Articles"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>

<?php
entimplst("LISTE DES ARTICLES");

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstrpdt();
$rech .= crestr_triord($pdt_titre_col, "pdt_code", FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

// création entête
titimplst($pdt_titre_col);

// création des lignes
foreach ($rows as $row) {
    $row = encode_str($row);
    echo "<tr>";
    echo "<td>" . $row["pdt_code"] . "</td>\n";
    echo "<td>";
    echo $row["pdt_fam"];

    // détail famille
    echo "<br />";
    echo "<span class=\"annot_petit_it\">";
    $txt = "(" . formatetxt($row["fam_desc"]) . ")";
    echo $txt;
    echo "</span>";

    echo "</td>\n";
    echo "<td>";
    echo $row["pdt_des"];
    if ($row["pdt_detail"] <> "") {
        echo "<br />";
        echo "<span class=\"annot_petit_it\">";
        echo $row["pdt_detail"];
        echo "</span>";
    }
    echo "</td>\n";
    echo "<td>";
    echo "<div align=\"right\">";
    echo $row["pdt_puttc"] . " " . give_dev_TXT($codeadev, FALSE);
    echo "</div>";
    echo "</td>\n";
    echo "<td>";
    echo "<div align=\"center\">";
    echo $non_oui[$row["pdt_vendu"]];
    echo "</div>";
    echo "</td>\n";
    echo "</tr>\n";
}
echo "</table>\n";
// *** Fin affichage de la table

$db->disconnect();
?>
</body>
</html>